#!/bin/sh
#
# warning: this is a rough draft.  debug it.
# getssbots.sh - get evil lists from somewhere somehow
#	and process into useful internal forms for DNS/ourmon
# 
# one source:
#	www.bleedingthreats.net/rules/bleeding-botcc.rules
#
# driven by crontab
# step 1: call this file via crontab to get the bleedingthreats.net
#	file
#

# wget to fetch bleeding snort rules and put in known place (rawbots.txt)
/usr/local/bin/wget --output-document=/home/mrourmon/etc/rawbots.txt  http://www.bleedingthreats.net/rules/bleeding-botcc.rules

# might use sizecheck.pl to sanity check the size 
# /home/mrourmon/bin/sizecheck.pl /home/mrourmon/etc/rawbots.txt
#SUCCESS=$?
# bail on this run if we can't get probe files for some reason
#if [ $SUCCESS -ne 0 ]; then
#	echo "getssbots.sh - sizecheck.pl failed" 
#	exit 1
#fi

# turn snort format into ourmon format
# input: rawbots.txt 
# output: ourshadow.txt - file suitable for load into ourmon
#	front-end as blacklist  (ourmon IP blacklist format)
#
# 1. you need to modify the ourmon config file to
#	take a blacklist file (see info.html)
# 2. arrange for ourmon probe to be rebooted after this
#	script runs (with crontab)
/home/mrourmon/bin/stoo.pl /home/mrourmon/etc/rawbots.txt > /home/mrourmon/etc/ourshadow.txt

# optional - can run stoo.pl to make rawbots.txt into .db perl database
#	suitable for use in backend irc script.  Idea is to check
#	our IRC IPs to see if any are in blacklist.  See info.html
#	under irc (and blacklists) for more information
#
# note: .db suffix is automagically appended. do not put on filename.

/home/mrourmon/bin/stirc.pl /home/mrourmon/etc/rawbots.txt /home/mrourmon/etc/ourshadow

