#!/usr/bin/perl
#
# sizecheck.pl file
#
# check that a file has a certain minimum number of lines
#

$debug = 0;
$oops = 0;

open(CHECK, "wc -l $ARGV[0] | ");
$found = 0;
while(<CHECK>) {
    chop;
    ($f1, $f2) = split;
#    if ($debug) {
#    	print "$f1 $f2\n";
#    }
     if ($f1 < 5) {
        $oops = 1;
     }
}
close(CHECK);

if ($oops) {
	if ($debug) {
		print "size check failed\n";
	}
	system("echo filecheck_oops_on_RI | mail -s ri_download_failure jrb\@cs.pdx.edu");
	exit(-1);
}
if ($debug) {
	print "size check ok\n";
}
exit(0);
