#ifndef STATS_H
#define STATS_H

struct ourstats {
	/* hashsort */
	unsigned int hs_chits;	/* topn hashsort cache hits */
	unsigned int hs_cmiss; /* topn hashsort cache miss */
	unsigned int hs_bfirst; /* found in first hash bucket */
	unsigned int hs_bother; /* found in other hash bucket */
	unsigned int hs_bmiss;  /* not found in hash chain (insert) */
	unsigned int hs_coll;   /* insert collision */
	unsigned int hs_insert; /* insert count */
	unsigned int hs_ecount; /* number of empty buckets in array */
	unsigned int hs_hcounter; /* number of hash buckets total */
#define CSIZE 7
	unsigned int hs_csize[CSIZE];	/* chain length */

	/* hashport src only */
	unsigned int hp_chits;	/* topn hashport cache hits */
	unsigned int hp_cmiss; /* topn hashport cache miss */
	unsigned int hp_bfirst; /* found in first hash bucket */
	unsigned int hp_bother; /* found in other hash bucket */
	unsigned int hp_bmiss;  /* not found in hash chain (insert) */
	unsigned int hp_coll;   /* insert collision */
	 

	
};

extern struct ourstats os;

#endif
