#! /usr/bin/perl

# draw bars so that we can install them
# we mkdir a dir called bard and install the files there.
#
my $width; 
my $tall = 20;
my $most_wide = 950;
# where the bar graph files live
my $barname = "bard";
my $barpath = "./$barname";

# make sure barpath dir exists
# we put topn bar images in this directory
if (!-d $barpath) {
	mkdir($barpath);
}

# colors are red, orange, yellow, blue
$inc = $most_wide / 100;
for ( $i = 1; $i <= 100; $i++)
{
	$zpicfile = "$barname/" . "bar" . "$i" . ".png";
	$barmod = $most_wide % $i;	 
	$width = $i * $inc;
	if ($i <= 25) {
		$color = "blue";
	}
	elsif ($i <= 50) {
		$color = "yellow";
	}
	elsif ($i <= 75) {
		$color = "orange";
	}
	elsif ($i <= 100) {
		$color = "red";
	}
	`./drawbar -w "$width" -t "$tall" -c "$color" -f "$zpicfile"`;
}

